package cn.hnthyy.thmz.service.his;

import cn.hnthyy.thmz.entity.his.MzPatientMi;
import java.util.List;

public interface MzPatientMiService {
    /**
     * 按照卡号查询病人信息
     * @param icCardNo
     * @return
     */
    MzPatientMi queryByIcCardNo(String icCardNo);


    /**
     * 按照病人姓名模糊查询病人信息
     * @param name
     * @return
     */
    List<MzPatientMi> queryByNameFuzzy(String name,Integer pageIndex,Integer pageSize);


    /**
     * 按照id查询病人信息
     * @param patientId
     * @return
     */
    MzPatientMi queryByPatientId(String patientId);
}
